aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--testing/perl-datetime/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/perl-datetime/APKBUILD b/testing/perl-datetime/APKBUILD
new file mode 100644
index 0000000000..6410ab936d
--- /dev/null
+++ b/testing/perl-datetime/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=perl-datetime
+pkgver=0.70
+pkgrel=0
+pkgdesc="DateTime perl module"
+url="http://search.cpan.org/dist/DateTime/"
+arch="all"
+license="GPLv2 or Artistic"
+depends="perl perl-datetime-locale perl-test-exception perl-math-round
+ perl-datetime-timezone"
+makedepends="perl-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/DateTime-$pkgver.tar.gz"
+
+_builddir="$srcdir"/DateTime-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ unset CFLAGS
+ perl Build.PL installdirs=vendor || return 1
+ ./Build
+}
+
+package() {
+ cd "$_builddir"
+ ./Build install destdir="$pkgdir"
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="228a3ca93b49e308fc7a3b7a47341ab3 DateTime-0.70.tar.gz"